<ul class='nav-top'>
	{% if u != None %}
	{% if u == None or u.uses_dark_mode == False %}
	<li class='nav-logo'><img src='/assets/site-logo.png' alt='The Xaiecon logo'></img></li>
	{% else %}
	<li class='nav-logo'><img src='/assets/site-logo-white.png' alt='The Xaiecon logo'></img></li>
	{% endif %}
	{% else %}
	<li class='nav-logo'><img src='/assets/site-logo.png' alt='The Xaiecon logo'></img></li>
	{% endif %}
	
	{% if u == None %}
	<li class='nav-element'><a href='/user/signup'>{% trans %}Sign-up{% endtrans %}</a></li>
	<li class='nav-element'><a href='/user/login'>{% trans %}Login{% endtrans %}</a></li>
	{% else %}
	{% if u.unread_notifications_number > 0 %}
	<li class='nav-element' style='background-color:red;border-radius:12px;margin:0;padding:0;margin-top:6px;margin-left:4px;'><a style='color:white;height:12px;padding:8px;margin:0;' href='/user/notifications'>{{ u.unread_notifications_number }}</a></li>
	{% endif %}
	<li class='nav-element'><img style='border-radius:22px;float:right;' width='44px' height='44px' src='/user/thumb?uid={{ u.id }}'></img></li>
	<li class='nav-element'><a href='/user/view?uid={{ u.id }}'>/u/{{ u.username }}</a></li>
	<li class='nav-element'><a href='/user/logout'>{% trans %}Logout{% endtrans %}</a></li>
	{% endif %}
	<li class='nav-dropdown'><a href='/post/list/new'>{% trans %}Frontpage{% endtrans %}</a>
		<div class='nav-dropdown-content'>
			{% if u != None %}
			<a href='/post/feed/new'>{% trans %}My feed{% endtrans %}</a>
			{% endif %}
			<a href='/post/list/new'>{% trans %}Newest{% endtrans %}</a>
			<a href='/post/list/old'>{% trans %}Oldest{% endtrans %}</a>
		</div>
	</li>

	<li class='nav-dropdown'><a href='/post/list'>{% trans %}Categories{% endtrans %}</a>
		<div class='nav-dropdown-content'>
			<a href='/post/list?category=Anarchy'>{% trans %}Anarchy{% endtrans %}</a>
			<a href='/post/list?category=Animals'>{% trans %}Animals{% endtrans %}</a>
			<a href='/post/list?category=Culture'>{% trans %}Culture{% endtrans %}</a>
			<a href='/post/list?category=Fiction'>{% trans %}Fiction{% endtrans %}</a>
			<a href='/post/list?category=Humor'>{% trans %}Humor{% endtrans %}</a>
			<a href='/post/list?category=Mathematics'>{% trans %}Mathematics{% endtrans %}</a>
			<a href='/post/list?category=News'>{% trans %}News{% endtrans %}</a>
			<a href='/post/list?category=Nonsense'>{% trans %}Nonsense{% endtrans %}</a>
			<a href='/post/list?category=Nsfw'>{% trans %}NSFW{% endtrans %}</a>
			<a href='/post/list?category=Other'>{% trans %}Other{% endtrans %}</a>
			<a href='/post/list?category=Pictures'>{% trans %}Pictures{% endtrans %}</a>
			<a href='/post/list?category=Politics'>{% trans %}Politics{% endtrans %}</a>
			<a href='/post/list?category=Programming'>{% trans %}Programming{% endtrans %}</a>
			<a href='/post/list?category=Technology'>{% trans %}Technology{% endtrans %}</a>
			<a href='/post/list?category=Videogames'>{% trans %}Videogames{% endtrans %}</a>
			<a href='/post/list?category=Sports'>{% trans %}Sports{% endtrans %}</a>
		</div>
	</li>

	<li class='nav-element'><a href='/'>{% trans %}Home{% endtrans %}</a></li>
		<li class='nav-element'>
		<form enctype='multipart/form-data' method='POST' action='/post/search'>
			<input class='textbar-normal' type='text' name='query' placeholder='{% trans %}Search for posts{% endtrans %}'></li>
		</form>
	</li>
</ul>
